सामग्री पर जाएँ

Workflow Utilities Blend Video

इंटीग्रेट करें

मॉडल id workflow-utilities/blend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/blend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

प्रति रन अधिकतम $3.60 तक वास्तविक उपयोग के अनुसार शुल्क लिया जाता है, बाकी रिफंड किया जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या

ऊपरी लेयर के रूप में उपयोग किए गए वीडियो का URL।

•आवश्यक
फ़ाइल ड्रॉप करें, या

निचली लेयर के रूप में उपयोग किए गए वीडियो का URL।

उन्नत blend_mode · opacity · shortest
डिफ़ॉल्ट overlay

वीडियो को संयोजित करने के लिए उपयोग की गई ब्लेंडिंग विधि।

डिफ़ॉल्ट 1

ऊपरी लेयर की अपारदर्शिता, 0.0 से 1.0 तक।

POST /run/workflow-utilities/blend-video?wait=20 कोटेशन → $3.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/blend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Workflow Utilities Blend Video के बारे में

overlay, multiply, difference या screen-style जैसे ब्लेंड मोड (कुल 23 मोड, डिफ़ॉल्ट overlay) का उपयोग करके ऊपरी और निचले वीडियो को एक में मिलाता है। `opacity` ऊपरी लेयर की शक्ति 0 से 1 तक सेट करता है। `shortest` सक्षम होने पर आउटपुट छोटे इनपुट के समाप्त होते ही समाप्त हो जाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
top_video_urlआवश्यक
प्रकारurl · video
ऊपरी लेयर के रूप में उपयोग किए गए वीडियो का URL।
bottom_video_urlआवश्यक
प्रकारurl · video
निचली लेयर के रूप में उपयोग किए गए वीडियो का URL।
blend_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टoverlay
additionaverageburndarkendifferencedividedodgeexclusiongrainextractgrainmergehardlightlightenmultiplynegationnormaloverlay
+7 औरphoenixpinlightreflectscreensoftlightsubtractvividlight
वीडियो को संयोजित करने के लिए उपयोग की गई ब्लेंडिंग विधि।
opacityवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 1
ऊपरी लेयर की अपारदर्शिता, 0.0 से 1.0 तक।
shortestवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सबसे छोटे इनपुट के समाप्त होते ही आउटपुट रोक देता है।
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/blend-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3600,
    "usd": "3.60",
    "charged": 3600,
    "refunded": 0
  },
  "input": {
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}इनपुट को ब्लेंड करके बनाया गया वीडियो।

और मॉडल: वीडियो से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/workflow-utilities/blend-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt